<template>
    <div class="random">
        <special-notice-option @query="handleQuery"></special-notice-option>
        <special-notice-table ref="table"></special-notice-table>
    </div>
</template>

<script>
import SpecialNoticeOption from './component/SpecialNoticeOption'
import SpecialNoticeTable from './component/SpecialNoticeTable'

export default {
    components: {
        SpecialNoticeOption,
        SpecialNoticeTable
    },
    methods: {
        resetForm() {
            if (this.$refs.table) {
                this.$refs.table.resetForm()
            }
        },
        handleQuery(data) {
            if (this.$refs.table) {
                this.$refs.table.resetForm(data)
            }
        }
    }
}
</script>
